#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    char c1,c2;
    long long a1,a2,i;
    string ans = "";
    cin>>c1>>c2;
    cin>>a1>>a2;
    if(abs(a1-a2)>1)
    {
        cout<<"nemoguce";
        return 0;
    }
    if(a1>a2)
    {
        ans+=c1;
        for(i=0; i<a2; i++)
        {
            ans+=c2;
            ans+=c1;
        }
        cout<<ans;
        return 0;
    }
    if(a2>a1)
    {
        ans+=c2;
        for(i=0; i<a1; i++)
        {
            ans+=c1;
            ans+=c2;
        }
        cout<<ans;
        return 0;
    }
    for(i=0; i<a1; i++)
    {
        ans+=c1;
        ans+=c2;
    }
    cout<<ans;
    return 0;
}